%global site_name org.apache.felix.configadmin
%global grp_name  felix

Name:             felix-configadmin
Version:          1.4.0
Release:          15%{?dist}
Summary:          Felix Configuration Admin Service
License:          ASL 2.0
URL:              http://felix.apache.org/site/apache-felix-config-admin.html

Source0:          http://www.fightrice.com/mirrors/apache/felix/%{site_name}-%{version}-source-release.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    felix-parent
BuildRequires:    felix-osgi-compendium >= 1.4.0-10
BuildRequires:    felix-osgi-core
BuildRequires:    aqute-bndlib
BuildRequires:    maven-shared

%description
Implementation of the OSGi Configuration Admin Service Specification 1.4.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{site_name}-%{version}

%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

%build
# Pax test dependency unavailable
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Mat Booth <mat.booth@redhat.com> - 1.4.0-13
- Add missing BR on felix-parent

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.4.0-11
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.0-10
- Remove unneeded animal-sniffer dependency

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-9
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-7
- Added maven-shared BR

* Mon Feb 18 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-6
- Fixed BR and changelog

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.4.0-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 30 2012 Patryk Obara <pobara@redhat.com> - 1.4.0-2
- Fixed javadoc files
- Fixed license tag
- Used description from pom file

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-1
- Initial packaging
